Bug 164746 - tracebacks from revelation
tracebacks from revelation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: revelation (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-31 11:40 EDT by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 13:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-07-31 11:40:44 EDT
Description of problem:
getting new tracebacks when using revelation on a rawhide box.

>revelation
/usr/lib/python2.4/site-packages/gtk-2.0/gnome/vfs.py:4: DeprecationWarning:
Module gnome.vfs is deprecated; please import gnomevfs instead
  DeprecationWarning)
/usr/lib/python2.4/site-packages/revelation/io.py:156: DeprecationWarning:
gobject.type_register is deprecated; now types are automatically registered
  gobject.type_register(DataFile)
/usr/lib/python2.4/site-packages/revelation/ui.py:623: DeprecationWarning:
gobject.type_register is deprecated; now types are automatically registered
  gobject.type_register(FileEntry)

(revelation:12233): GLib-GObject-WARNING **: gsignal.c:1324: signal "changed"
already exists in the `GObject' class ancestry
Traceback (most recent call last):
  File "/usr/bin/revelation", line 30, in ?
    from revelation import authmanager, config, data, datahandler, dialog,
entry, io, ui, util
  File "/usr/lib/python2.4/site-packages/revelation/__init__.py", line 30, in ?
    import datahandler
  File "/usr/lib/python2.4/site-packages/revelation/datahandler/__init__.py",
line 27, in ?
    from fpm import FPM
  File "/usr/lib/python2.4/site-packages/revelation/datahandler/fpm.py", line
27, in ?
    from revelation import data, entry, util
  File "/usr/lib/python2.4/site-packages/revelation/data.py", line 26, in ?
    import datahandler, entry
  File "/usr/lib/python2.4/site-packages/revelation/entry.py", line 26, in ?
    from revelation import ui
  File "/usr/lib/python2.4/site-packages/revelation/ui.py", line 624, in ?
    gobject.signal_new("changed", FileEntry, gobject.SIGNAL_ACTION,
gobject.TYPE_BOOLEAN, ())
RuntimeError: could not create signal


Version-Release number of selected component (if applicable):
revelation-0.4.3-3

Not sure what needs to be fixed. I simple rebuild of revelation locally didn't
solve it.  Maybe this is completely an upstream issue.

-jef
Comment 1 Thorsten Leemhuis 2005-08-08 12:50:11 EDT
Updated to 0.4.4 in cvs for devel; Build for devel failed due to some general
rawhide problem. Will retry in the next days.
Comment 2 Thorsten Leemhuis 2005-08-09 11:12:48 EDT
Rebuild worked fine now, resulting packages are at
http://buildsys.fedoraproject.org/logs//development/558-revelation-0.4.4-1.fc5/i386/
atm. Jef, could you try if the problem still exists? I have no rawhide machine
here atm. If it's still there I plan to report this problem upstream.
Comment 3 Jef Spaleta 2005-08-16 20:26:50 EDT
as of this moment the last revelation  build is working on my slightly out of
date rawhide box.  No more tracebacks with 0.4.4-1   but I am getting
deprecation warnings on the cli:

/usr/lib/python2.4/site-packages/gtk-2.0/gnome/applet.py:4: DeprecationWarning:
Module gnome.applet is deprecated; please import gnomeapplet instead
  DeprecationWarning)

Since the traceback issue seems to be resolved this bug report is probably
closable as resolved.

Also just fyi, you are going to have to rebuild this again because of the new
cario package in rawhide. Should I open up a new report requesting the rebuild?
  
-jef
Comment 4 Thorsten Leemhuis 2005-08-17 13:53:30 EDT
(In reply to comment #3)
> as of this moment the last revelation  build is working on my slightly out of
> date rawhide box.   No more tracebacks with 0.4.4-1 

Great.
>  but I am getting
> deprecation warnings on the cli:

I told upstream about those.

> Since the traceback issue seems to be resolved this bug report is probably
> closable as resolved.

Closing it.
 
> Also just fyi, you are going to have to rebuild this again because of the new
> cario package in rawhide. Should I open up a new report requesting the rebuild?

No need to, I'll request a build when all deps are ready in rawhide.

Note You need to log in before you can comment on or make changes to this bug.